@import url(https://fonts.googleapis.com/css?family=Roboto:300);
:root {
  --primary-color: #4caf50;
  --secondary-color: #ffffff;
  --terciary-color: #101a57;
  --bg-input: #f2f2f2;
  --bg-color: #76b852;
  --text-color-info: #b3b3b3;
  --font-family: "Roboto", sans-serif;
  --gradient-start: #8dc26f ;
}
/* bases */
body {
  background: var(--bg-color); /* fallback for old browsers */
  font-family: var(--font-family);
  background: linear-gradient(
    90deg,
    var(--gradient-start) 0%,
    var(--bg-color) 50%
  );
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

button {
  width: 100%;
  outline: 0;
  border: 0;
  padding: 15px;
  color: var(--secondary-color);
  cursor: pointer;
}

input {
  outline: 0;
  width: 100%;
  border: 0;
}

p {
  font-size: 12px;
}

a {
  text-decoration: none;
}
div {
  position: relative;
  padding: 45px;
}
/* layouts */
#login-page {
  width: 360px;
  padding: 8% 0 0;
  margin: auto;
}

/* modules */
.container {
  z-index: 1;
  max-width: 360px;
  text-align: center;
  margin: 0 auto 100px;
  text-align: center;
}

.container .container-form .container-input {
  margin: 0 0 15px;
  padding: 15px;
  font-size: 14px;
  box-sizing: border-box;
}
.container .container-form .container-form-btn {
  text-transform: uppercase;
  font-size: 14px;
  -webkit-transition: all 0.3 ease;
  transition: all 0.3 ease;
  text-transform: uppercase;
}

.container .container-form .container-msg {
  margin: 15px 0 0;
}

/* state */
.is-hidden {
  display: none;
}
.form .form-btn:hover,
.form .form-btn:active,
.form .form-btn:focus {
  background: var(--primary-color);
}

/* theme */
.form-wrapper {
  background: var(--secondary-color);
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24);
}
.input-bg {
  background: var(--bg-input);
}

.btn-primary {
  background: var(--primary-color);
}
.btn-terciary {
  background: var(--terciary-color);
}

.msg-info {
  color: var(--text-color-info);
}

.msg-primary {
  color: var(--primary-color);
}
